#!/bin/sh
########################################
###### Powered by Vu+ Image Team  ######
##   http://www.vuplus-support.org    ##
########################################

CAMNAME="OScam-icam"
BINARY="oscam-icam"


remove_tmp () {
	rm -rf /tmp/cainfo.* /tmp/camd.* /tmp/sc.* /tmp/*.info* /tmp/*.tmp* /tmp/oscam* /tmp/.CCcam*
	[ -e /tmp/.oscam ] && rm -rf /tmp/.oscam
	[ -e /tmp/.emu.info ] && rm -rf /tmp/.emu.info
	[ -e /tmp/oscam.mem ] && rm -rf /tmp/oscam.mem
}

case "$1" in
	start)
		echo "[SCRIPT] $1: $CAMNAME"
		remove_tmp
		touch /tmp/.emu.info
		echo "$CAMNAME" > /tmp/.emu.info
		/usr/bin/$BINARY -c /etc/tuxbox/config/$BINARY -t /tmp > /dev/null 2>&1 &
	;;
	stop)
		echo "[SCRIPT] $1: $CAMNAME"
		killall -9 $BINARY
		remove_tmp
	;;
	restart)
		$0 stop
		sleep 2
		$0 start
		exit
	;;
	*)
		$0 stop
		exit 0
	;;
esac

exit 0
